| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::_Data< TYP > Class Template Reference

`#include <NTuple.h>`

Inheritance diagram for NTuple::_Data< TYP >:

[legend]
Collaboration diagram for NTuple::_Data< TYP >:

[legend]
List of all members.

## Detailed Description

### template<class TYP>
class NTuple::_Data< TYP >

Abstract class discribing basic data in an Ntuple.

Definition at line 112 of file NTuple.h.

## Public Types
typedef Range< TYP > | ItemRange
| Set type definition to make life more easy easy.
## Public Member Functions
virtual void | setDefault (const TYP d)=0
| Set default value.
virtual const ItemRange & | range () const=0
| Access the range if specified.
## Protected Attributes
TYP * | m_buffer
| Pointer to data buffer.

## Member Typedef Documentation

template<class TYP>

typedef Range<TYP> NTuple::_Data< TYP >::ItemRange

Set type definition to make life more easy easy.

Reimplemented in NTuple::_DataImp< TYP >, NTuple::_ItemImp< TYP >, NTuple::_ArrayImp< TYP >, and NTuple::_MatrixImp< TYP >.

Definition at line 118 of file NTuple.h.

## Member Function Documentation

template<class TYP>

virtual void NTuple::_Data< TYP >::setDefault | ( | const TYP | d | ) | `[pure virtual]`

Set default value.

Implemented in NTuple::_DataImp< TYP >, NTuple::_ItemImp< TYP >, NTuple::_ArrayImp< TYP >, and NTuple::_MatrixImp< TYP >.

template<class TYP>

virtual const ItemRange& NTuple::_Data< TYP >::range | ( |  | ) | const`[pure virtual]`

Access the range if specified.

Implemented in NTuple::_DataImp< TYP >, NTuple::_ItemImp< TYP >, NTuple::_ArrayImp< TYP >, and NTuple::_MatrixImp< TYP >.

Referenced by createItem(), putRange(), and upper().

## Member Data Documentation

template<class TYP>

TYP* NTuple::_Data< TYP >::m_buffer`[protected]`

Pointer to data buffer.

Definition at line 115 of file NTuple.h.

Referenced by NTuple::_DataImp< TYP >::_DataImp(), NTuple::_DataImp< TYP >::buffer(), NTuple::_Array< TYP >::data(), NTuple::_Item< bool >::get(), NTuple::_Item< bool >::operator=(), NTuple::_DataImp< TYP >::reset(), NTuple::_Item< bool >::set(), and NTuple::_DataImp< TYP >::~_DataImp().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTuple.h